/*
 * Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: XAddress.java 65615 2012-03-29 19:02:39Z sdimilla $
 */

package com.sun.ts.tests.jpa.core.relationship.descriptors;


/*
 * XAddress
 */

public class XAddress implements java.io.Serializable {


    // Instance Variables
    private String xId;
    private String xStreet;
    private String xCity;
    private String xState;
    private String xZip;

    public XAddress() {
    }

    public XAddress(String xId, String xStreet, String xCity, String xState, String xZip)
    {
      this.xId = xId;
      this.xStreet = xStreet;
      this.xCity = xCity;
      this.xState = xState;
      this.xZip = xZip;
    }

    // ===========================================================
    // getters and setters for the state fields

    public String getXId() {
	return xId;
    }
    public void setXId(String xId) {
	this.xId = xId;
    }

    public String getXStreet() {
	return xStreet;
    }
    public void setXStreet(String xStreet) {
	this.xStreet = xStreet;
    }

    public String getXCity() {
	return xCity;
    }
    public void setXCity(String xCity) {
	this.xCity = xCity;
    }

    public String getXState() {
	return xState;
    }
    public void setXState(String xState) {
	this.xState = xState;
    }

    public String getXZip() {
	return xZip;
    }
    public void setXZip(String xZip) {
	this.xZip = xZip;
    }
}
